Description

My COM application is built using Visual Studio 2008. Some options a form that has a Crystal Reports Viewer embedded and when |
try to print from that Crystal Report | get an error, when | try to export: the program hangs. Whenever | try to call an OpenFileDialog
or SaveFileDialog, it also hangs. From what I've read, all of this are threading issues an they have been addressed in Jacob 1.7 and
the plugin would need to use the ComThread class.

History

#1 - 06/19/2013 06:13 PM - Imre Tokai

Hello Diego,

Share sample solution, setup and work-flow to reproduce this issue, please. Your research guidelines are welcome, also.

Hanging can be caused by VS app, too. Can you try simple scenarios on your side to make sure that VS app works with Crystal Reports as
expected?

Regards

#2 - 07/02/2013 06:21 PM - Diego Pwalls

Hi Imre.. thank your for the response. There is no issue with the VS DLL, as It can be called from other languages (Other .Net apps, VFP...). | have
only seen it when calling from a Servoy App the OpenFileDialog, SaveFileDialog and when exporting from a Crystal Reports... none of this issues
occur when calling from another application. From what | have read and tried, it is a threading issue that occurs when these dialogs get called. | found
online that this is a common issue that could be overcome by "upgrading to JACOB 1.7 and using the ComThread class to implement COM threading
manually". The latter part could only be made within the plugin. If needed, | can make a simple .Net DLL to see the issue.

#3 - 07/08/2013 09:30 AM - Imre Tokai

Hi Diego,
Share sample solution and work-flow to replicate your issue please, so debugging of the plugin can be started on another side.

Regards

#4 - 04/15/2015 03:12 PM - Scott Butler

- Status changed from New to Rejected

Closing from inactivity.
